# Copyright (C) 2021 Associated Universities, Inc. Washington DC, USA.
#
# This file is part of NRAO Workspaces.
#
# Workspaces is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Workspaces is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Workspaces.  If not, see <https://www.gnu.org/licenses/>.
"""add carta ready notification

Revision ID: 9cb44d7ccb92
Revises: ff62e9b2399f
Create Date: 2021-08-13 15:29:10.358180

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = "9cb44d7ccb92"
down_revision = "ff62e9b2399f"
branch_labels = None
depends_on = None


content = """ To: {{destination_email}}
Subject: NRAO CARTA Session Ready


Dear User,

Your CARTA session is now available.

Please use the following link to access your CARTA session:
{{carta_url}}

You will be notified when your session has expired.

Best regards,
NRAO Workspaces

"""


def upgrade():
    op.execute(
        f"""
        INSERT INTO notification_templates (name, description, template)
        VALUES ('carta_ready', 'An email template for notifying a user that their carta session is ready', '{content}')
        """
    )


def downgrade():
    op.execute(
        """
        DELETE FROM notification_templates WHERE name='carta_ready'
        """
    )
